headless lms

Reveal a webhook's signing secret (staff)

GET /api/automations/webhooks/{id}/secret. Reveal a webhook's signing secret (staff). Headless LMS Automations API reference.

GET
/api/automations/webhooks/{id}/secret

Staff only (owner, admin, instructor).

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/automations/webhooks/string/secret"
{  "secret": "string"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}